Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.beans
Class BeanDescriptor

    java.lang.Object
      |
      +--java.beans.FeatureDescriptor
            |
            +--java.beans.BeanDescriptor

public class BeanDescriptor
extends FeatureDescriptor

A BeanDescriptor provides global information about a "bean", including its Java class, its displayName, etc.

This is one of the kinds of descriptor returned by a BeanInfo object, which also returns descriptors for properties, method, and events.

Constructor Summary
`BeanDescriptor(Class beanClass)` Create a BeanDescriptor for a bean that doesn't have a customizer.
`BeanDescriptor(Class beanClass, Class customizerClass)` Create a BeanDescriptor for a bean that has a customizer.

Method Summary
`Class` | `getBeanClass()` Gets the bean's Class object.
`Class` | `getCustomizerClass()` Gets the Class object for the bean's customizer.

Methods inherited from class java.beans.FeatureDescriptor
`attributeNames, getDisplayName, getName, getShortDescription, getValue, isExpert, isHidden, isPreferred, setDisplayName, setExpert, setHidden, setName, setPreferred, setShortDescription, setValue`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BeanDescriptor

    public BeanDescriptor(Class beanClass)

  Create a BeanDescriptor for a bean that doesn't have a customizer.
  Parameters:
    `beanClass` - The Class object of the Java class that implements the bean. For example sun.beans.OurButton.class.

### BeanDescriptor

    public BeanDescriptor(Class beanClass,
                          Class customizerClass)

  Create a BeanDescriptor for a bean that has a customizer.
  Parameters:
    `beanClass` - The Class object of the Java class that implements the bean. For example sun.beans.OurButton.class.
    `customizerClass` - The Class object of the Java class that implements the bean's Customizer. For example sun.beans.OurButtonCustomizer.class.

Method Detail

### getBeanClass

    public Class getBeanClass()

  Gets the bean's Class object.
  Returns:
    The Class object for the bean.

### getCustomizerClass

    public Class getCustomizerClass()

  Gets the Class object for the bean's customizer.
  Returns:
    The Class object for the bean's customizer. This may be null if the bean doesn't have a customizer.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.